package com.eactive.eai.agent.transformer;

import com.eactive.eai.agent.command.Command;
import com.eactive.eai.agent.command.CommandException;
import com.eactive.eai.common.util.Logger;
import com.eactive.eai.transformer.layout.LayoutTypeManager;

public class RemoveLayoutTypeCommand extends Command {
	private static final long serialVersionUID = 1L;

	public RemoveLayoutTypeCommand() {
		super("RemoveLayoutTypeCommand");
	}

	public Object execute() throws CommandException {
		Logger logger = Logger.getLogger(Logger.LOGGER_DEFAULT);
		if (logger.isInfo())
			logger.info(this.name + " is executed");

		if (!(args instanceof String)) {
			String rspErrorCode = "RECEAIMCM001";
			String msg = makeException(rspErrorCode, null);
			if (logger.isError())
				logger.error(msg);
			throw new CommandException(msg);
		}

		try {
			LayoutTypeManager manager = LayoutTypeManager.getInstance();

			String layoutTypeName = (String) args;
			if (layoutTypeName != null) {
				manager.remove(layoutTypeName);
			}
		} catch (Exception e) {
			String rspErrorCode = "RECEAIMCM002";
			String msg = makeException(rspErrorCode, e);
			if (logger.isError())
				logger.error(msg, e);
			throw new CommandException(msg);
		}
		return "success";

	}

//    public static void main(String[] args)throws Exception{        
//        LayoutTypeManager manager = LayoutTypeManager.getInstance();
//        
//        Command command = new RemoveLayoutTypeCommand();
//        command.setArgs("");
//        AgentUtil.broadcast(command);        
//    }
}
